package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AdoptResult
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class AdoptResult   {
  @JsonProperty("deviceMac")
  private String deviceMac;

  @JsonProperty("adoptErrorCode")
  private Integer adoptErrorCode;

  @JsonProperty("adoptFailedType")
  private Integer adoptFailedType;

  public AdoptResult deviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
    return this;
  }

  /**
   * Device MAC
   * @return deviceMac
  */
  @ApiModelProperty(value = "Device MAC")


  public String getDeviceMac() {
    return deviceMac;
  }

  public void setDeviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
  }

  public AdoptResult adoptErrorCode(Integer adoptErrorCode) {
    this.adoptErrorCode = adoptErrorCode;
    return this;
  }

  /**
   * Adopt result should be a value as follows: 0: Adopt Device Success; -39002: Device adoption failed because the device does not respond to adopt commands; -39003: Failed to adopt the Device. The username or password  is incorrect; -39004: Failed to adopt device; -39005: Failed to adopt this device because the device is not connected; -39329: Failed to link to the uplink AP.
   * @return adoptErrorCode
  */
  @ApiModelProperty(value = "Adopt result should be a value as follows: 0: Adopt Device Success; -39002: Device adoption failed because the device does not respond to adopt commands; -39003: Failed to adopt the Device. The username or password  is incorrect; -39004: Failed to adopt device; -39005: Failed to adopt this device because the device is not connected; -39329: Failed to link to the uplink AP.")


  public Integer getAdoptErrorCode() {
    return adoptErrorCode;
  }

  public void setAdoptErrorCode(Integer adoptErrorCode) {
    this.adoptErrorCode = adoptErrorCode;
  }

  public AdoptResult adoptFailedType(Integer adoptFailedType) {
    this.adoptFailedType = adoptFailedType;
    return this;
  }

  /**
   * Adopt failed type should be a value as follows: -1: No need print username or password;-2: Need print username or password.
   * @return adoptFailedType
  */
  @ApiModelProperty(value = "Adopt failed type should be a value as follows: -1: No need print username or password;-2: Need print username or password.")


  public Integer getAdoptFailedType() {
    return adoptFailedType;
  }

  public void setAdoptFailedType(Integer adoptFailedType) {
    this.adoptFailedType = adoptFailedType;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AdoptResult adoptResult = (AdoptResult) o;
    return Objects.equals(this.deviceMac, adoptResult.deviceMac) &&
        Objects.equals(this.adoptErrorCode, adoptResult.adoptErrorCode) &&
        Objects.equals(this.adoptFailedType, adoptResult.adoptFailedType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(deviceMac, adoptErrorCode, adoptFailedType);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AdoptResult {\n");
    
    sb.append("    deviceMac: ").append(toIndentedString(deviceMac)).append("\n");
    sb.append("    adoptErrorCode: ").append(toIndentedString(adoptErrorCode)).append("\n");
    sb.append("    adoptFailedType: ").append(toIndentedString(adoptFailedType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

